export declare class PnMainnavLevel {
    hostElement: HTMLElement;
    label: string;
    level: number;
    levelId: string;
    isOpen: boolean;
    parentName: string;
    parentHref: string;
    parentLinkId: string;
    listCount: number;
    alignment: string;
    componentWillLoad(): Promise<void>;
    setState(): void;
    onOpen(): void;
    onChangeOpenLevel(): void;
    render(): any;
}
